import { FormHistory } from '../FormBuilder/useSaveLoad';

export const removeAllExpiries = (prefix: string = 'form:') => {
    const keys = Object.keys(localStorage);
    keys.forEach(key => {
        if (key.startsWith(prefix)) {
            const item = localStorage.getItem(key);
            if (!item) return;
            const value = JSON.parse(item) as FormHistory;
            if (value.noExpiry !== true && value.expiryAt && value.expiryAt < Date.now()) {
                localStorage.removeItem(key);
            }
        }
    });
};
